- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbcParams Class Reference

`#include <AbcParams.h>`

Inheritance diagram for AbcParams:

[legend]
Collaboration diagram for AbcParams:

[legend]
List of all members.

## Public Types
| cutDuringRampup
| Whether generate cuts during rampup.
| endOfBoolParams
| statusInterval
| The interval (number of nodes) to report current search status.
| logLevel
| endOfIntParams
| dblDummy
| endOfDblParams
| strDummy
| endOfStrParams
| strArrayDummy
| endOfStrArrayParams
enum | boolParams { cutDuringRampup, endOfBoolParams }
| Character parameters. More...
enum | intParams { statusInterval, logLevel, endOfIntParams }
| Integer paramters. More...
enum | dblParams { dblDummy, endOfDblParams }
| Double parameters. More...
enum | strParams { strDummy, endOfStrParams }
| String parameters. More...
enum | strArrayParams { strArrayDummy, endOfStrArrayParams }
| There are no string array parameters. More...
## Public Member Functions
virtual void | createKeywordList ()
| Method for creating the list of keyword looked for in the parameter file.
virtual void | setDefaultEntries ()
| Method for setting the default values for the parameters.
void | setEntry (const boolParams key, const char *val)
| char* is true(1) or false(0), not used
void | setEntry (const boolParams key, const char val)
| char is true(1) or false(0), not used
void | setEntry (const boolParams key, const bool val)
| This method is the one that ever been used.
void | setEntry (const intParams key, const char *val)
void | setEntry (const intParams key, const int val)
void | setEntry (const dblParams key, const char *val)
void | setEntry (const dblParams key, const double val)
void | setEntry (const strParams key, const char *val)
void | setEntry (const strArrayParams key, const char *val)
Constructors.
| AbcParams ()
| The default constructor creates a parameter set with from the template argument structure.
Query methods
The members of the parameter set can be queried for using the overloaded entry() method. Using the example in the class documentation the user can get a parameter with the "<code>param.entry(USER_par::parameter_name)</code>" expression.
char | entry (const boolParams key) const
int | entry (const intParams key) const
double | entry (const dblParams key) const
const std::string & | entry (const strParams key) const
const std::vector< std::string > & | entry (const strArrayParams key) const
Packing/unpacking methods
void | pack (AlpsEncoded &buf)
| Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here).
void | unpack (AlpsEncoded &buf)
| Unpack the parameter set from the buffer.

## Detailed Description

Definition at line 33 of file AbcParams.h.

## Member Enumeration Documentation

enum AbcParams::boolParams

Character parameters.

All of these variable are used as booleans (ture = 1, false = 0).

Enumerator:

  cutDuringRampup | Whether generate cuts during rampup.
  endOfBoolParams |

Definition at line 37 of file AbcParams.h.

enum AbcParams::intParams

Integer paramters.

Enumerator:

  statusInterval | The interval (number of nodes) to report current search status.
  logLevel |
  endOfIntParams |

Definition at line 45 of file AbcParams.h.

enum AbcParams::dblParams

Double parameters.

Enumerator:

  dblDummy |
  endOfDblParams |

Definition at line 55 of file AbcParams.h.

enum AbcParams::strParams

String parameters.

Enumerator:

  strDummy |
  endOfStrParams |

Definition at line 62 of file AbcParams.h.

enum AbcParams::strArrayParams

There are no string array parameters.

Enumerator:

  strArrayDummy |
  endOfStrArrayParams |

Definition at line 69 of file AbcParams.h.

## Constructor & Destructor Documentation

AbcParams::AbcParams | ( |  | ) | `[inline]`

The default constructor creates a parameter set with from the template argument structure.

The keyword list is created and the defaults are set.

Definition at line 81 of file AbcParams.h.

References createKeywordList(), and setDefaultEntries().

## Member Function Documentation

virtual void AbcParams::createKeywordList | ( |  | ) | `[virtual]`

Method for creating the list of keyword looked for in the parameter file.

Implements AlpsParameterSet.

Referenced by AbcParams().

virtual void AbcParams::setDefaultEntries | ( |  | ) | `[virtual]`

Method for setting the default values for the parameters.

Implements AlpsParameterSet.

Referenced by AbcParams().

char AbcParams::entry | ( | const boolParams | key | ) | const`[inline]`

Definition at line 125 of file AbcParams.h.

References AlpsParameterSet::bpar_.

int AbcParams::entry | ( | const intParams | key | ) | const`[inline]`

Definition at line 128 of file AbcParams.h.

References AlpsParameterSet::ipar_.

double AbcParams::entry | ( | const dblParams | key | ) | const`[inline]`

Definition at line 131 of file AbcParams.h.

References AlpsParameterSet::dpar_.

const std::string& AbcParams::entry | ( | const strParams | key | ) | const`[inline]`

Definition at line 134 of file AbcParams.h.

References AlpsParameterSet::spar_.

const std::vector<std::string>& AbcParams::entry | ( | const strArrayParams | key | ) | const`[inline]`

Definition at line 137 of file AbcParams.h.

References AlpsParameterSet::sapar_.

void AbcParams::setEntry | ( | const boolParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

char* is true(1) or false(0), not used

Definition at line 142 of file AbcParams.h.

References AlpsParameterSet::bpar_.

void AbcParams::setEntry | ( | const boolParams | key,
|  | const char | val |
| ) |  |  | `[inline]`

char is true(1) or false(0), not used

Definition at line 145 of file AbcParams.h.

References AlpsParameterSet::bpar_.

void AbcParams::setEntry | ( | const boolParams | key,
|  | const bool | val |
| ) |  |  | `[inline]`

This method is the one that ever been used.

Definition at line 148 of file AbcParams.h.

References AlpsParameterSet::bpar_.

void AbcParams::setEntry | ( | const intParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 151 of file AbcParams.h.

References AlpsParameterSet::ipar_.

void AbcParams::setEntry | ( | const intParams | key,
|  | const int | val |
| ) |  |  | `[inline]`

Definition at line 154 of file AbcParams.h.

References AlpsParameterSet::ipar_.

void AbcParams::setEntry | ( | const dblParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 157 of file AbcParams.h.

References AlpsParameterSet::dpar_.

void AbcParams::setEntry | ( | const dblParams | key,
|  | const double | val |
| ) |  |  | `[inline]`

Definition at line 160 of file AbcParams.h.

References AlpsParameterSet::dpar_.

void AbcParams::setEntry | ( | const strParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 163 of file AbcParams.h.

References AlpsParameterSet::spar_.

void AbcParams::setEntry | ( | const strArrayParams | key,
|  | const char * | val |
| ) |  |  | `[inline]`

Definition at line 166 of file AbcParams.h.

References AlpsParameterSet::sapar_.

void AbcParams::pack | ( | AlpsEncoded & | buf | ) | `[inline, virtual]`

Pack the parameter set into the buffer (AlpsEncoded is used as buffer Here).

Reimplemented from AlpsParameterSet.

Definition at line 175 of file AbcParams.h.

References AlpsParameterSet::bpar_, AlpsParameterSet::dpar_, endOfBoolParams, endOfDblParams, endOfIntParams, endOfStrArrayParams, endOfStrParams, AlpsParameterSet::ipar_, AlpsParameterSet::sapar_, AlpsParameterSet::spar_, and AlpsEncoded::writeRep().

void AbcParams::unpack | ( | AlpsEncoded & | buf | ) | `[inline, virtual]`

Unpack the parameter set from the buffer.

Reimplemented from AlpsParameterSet.

Definition at line 188 of file AbcParams.h.

References AlpsParameterSet::bpar_, AlpsParameterSet::dpar_, endOfBoolParams, endOfDblParams, endOfIntParams, endOfStrArrayParams, endOfStrParams, AlpsParameterSet::ipar_, AlpsEncoded::readRep(), AlpsParameterSet::sapar_, and AlpsParameterSet::spar_.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Alps/examples/Abc/AbcParams.h